- Main Page
- Modules
- Classes
- Files
- Directories

- Class List
- Class Hierarchy
- Class Members

# NedFilesNode Class Reference
[Data classes]

`#include <nedelements.h>`

Inheritance diagram for NedFilesNode:

List of all members.

## Detailed Description

GENERATED CLASS.

Represents the <ned-files> XML element in memory. DTD declaration:

     <!ELEMENT ned-files ((ned-files|ned-file)*)>

## Public Member Functions
Constructors, destructor
| NedFilesNode ()
| NedFilesNode (NEDElement *parent)
virtual | ~NedFilesNode ()
Redefined NEDElement methods, incl. generic access to attributes
virtual const char * | getTagName () const
virtual int | getTagCode () const
virtual int | getNumAttributes () const
virtual const char * | getAttributeName (int k) const
virtual const char * | getAttribute (int k) const
virtual void | setAttribute (int k, const char *val)
virtual const char * | getAttributeDefault (int k) const
Typed access to attributes, children and siblings
virtual NedFilesNode * | getNextNedFilesNodeSibling () const
virtual NedFilesNode * | getFirstNedFilesChild () const
virtual NedFileNode * | getFirstNedFileChild () const

## Constructor & Destructor Documentation

NedFilesNode::NedFilesNode | ( |  | ) | `[inline]`

NedFilesNode::NedFilesNode | ( | NEDElement * | parent | ) | `[inline]`

virtual NedFilesNode::~NedFilesNode | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

virtual const char* NedFilesNode::getAttribute | ( | int | k | ) | const`[virtual]`

| Pure virtual method, it should be redefined in subclasses to return the value of the kth attribute (i.e. the attribute with the name getAttributeName(k)). It should return NULL if k is out of range (i.e. negative or greater than getNumAttributes()). Implements NEDElement.

virtual const char* NedFilesNode::getAttributeDefault | ( | int | k | ) | const`[virtual]`

| Pure virtual method, it should be redefined in subclasses to return the default value of the kth attribute, as defined in the DTD. It should return NULL if k is out of range (i.e. negative or greater than getNumAttributes()). Implements NEDElement.

virtual const char* NedFilesNode::getAttributeName | ( | int | k | ) | const`[virtual]`

| Pure virtual method, it should be redefined in subclasses to return the name of the kth attribute as defined in the DTD. It should return NULL if k is out of range (i.e. negative or greater than getNumAttributes()). Implements NEDElement.

virtual NedFileNode* NedFilesNode::getFirstNedFileChild | ( |  | ) | const`[virtual]`

virtual NedFilesNode* NedFilesNode::getFirstNedFilesChild | ( |  | ) | const`[virtual]`

virtual NedFilesNode* NedFilesNode::getNextNedFilesNodeSibling | ( |  | ) | const`[virtual]`

virtual int NedFilesNode::getNumAttributes | ( |  | ) | const`[virtual]`

| Pure virtual method, it should be redefined in subclasses to return the number of attributes defined in the DTD. Implements NEDElement.

virtual int NedFilesNode::getTagCode | ( |  | ) | const`[inline, virtual]`

| Overridden in subclasses to return the numeric code (NED_xxx) of the XML element the class represents. Implements NEDElement.

virtual const char* NedFilesNode::getTagName | ( |  | ) | const`[inline, virtual]`

| Overridden in subclasses to return the name of the XML element the class represents. Implements NEDElement.

virtual void NedFilesNode::setAttribute | ( | int | k,
|  | const char * | val
| ) | `[virtual]`

| Pure virtual method, it should be redefined in subclasses to set the value of the kth attribute (i.e. the attribute with the name getAttributeName(k)). If k is out of range (i.e. negative or greater than getNumAttributes()), the call should be ignored. Implements NEDElement.

The documentation for this class was generated from the following file:

- nedelements.h